// package main -- пускач для шины данных
package main

import (
	"log"

	"p78git.ddns.net/svi/gobus/internal/service"
)

var (
	serv *service.Service
	err  error
)

func main() {
	log.Printf("main()\n")
	serv, err = service.NewSevice()
	if err != nil {
		log.Printf("main(): in create Service, err=\n\t%v\n", err)
		return
	}
	if err = serv.Run(); err != nil {
		log.Printf("main(): in run Server, err=\n\t%v\n", err)
		return
	}
	log.Printf("main(): end\n")
}
